Bug 1119475 (CVE-2014-4244) - CVE-2014-4244 OpenJDK: RSA blinding issues (Security, 8031346)
Summary: CVE-2014-4244 OpenJDK: RSA blinding issues (Security, 8031346)
Status: CLOSED ERRATA
Alias: CVE-2014-4244
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20140715,repor...
Keywords: Security
Depends On:
Blocks: 1115835
TreeView+ depends on / blocked
 
Reported: 2014-07-14 21:02 UTC by Tomas Hoger
Modified: 2019-06-08 20:06 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-08-11 19:47:57 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0889 normal SHIPPED_LIVE Critical: java-1.7.0-openjdk security update 2014-07-16 12:49:50 UTC
Red Hat Product Errata RHSA-2014:0890 normal SHIPPED_LIVE Important: java-1.7.0-openjdk security update 2014-07-16 09:18:44 UTC
Red Hat Product Errata RHSA-2014:0902 normal SHIPPED_LIVE Critical: java-1.7.0-oracle security update 2017-12-15 19:39:16 UTC
Red Hat Product Errata RHSA-2014:0907 normal SHIPPED_LIVE Important: java-1.6.0-openjdk security and bug fix update 2014-07-21 22:55:23 UTC
Red Hat Product Errata RHSA-2014:0908 normal SHIPPED_LIVE Important: java-1.6.0-sun security update 2017-12-15 19:38:59 UTC
Red Hat Product Errata RHSA-2014:1033 normal SHIPPED_LIVE Critical: java-1.6.0-ibm security update 2014-08-07 20:52:49 UTC
Red Hat Product Errata RHSA-2014:1036 normal SHIPPED_LIVE Important: java-1.5.0-ibm security update 2014-08-08 01:24:51 UTC
Red Hat Product Errata RHSA-2014:1041 normal SHIPPED_LIVE Critical: java-1.7.0-ibm security update 2014-08-11 20:54:59 UTC
Red Hat Product Errata RHSA-2014:1042 normal SHIPPED_LIVE Critical: java-1.7.1-ibm security update 2014-08-11 20:44:22 UTC
Red Hat Product Errata RHSA-2015:0264 normal SHIPPED_LIVE Low: Red Hat Satellite IBM Java Runtime security update 2015-02-24 18:44:15 UTC

Description Tomas Hoger 2014-07-14 21:02:38 UTC
It was discovered that the RSA algorithm in the OpenJDK Security component did not sufficiently preform "blinding" while performing operations using private keys.  An attacker able to measure timing differences of those operations could possibly leak information about the keys used.

Comment 1 errata-xmlrpc 2014-07-16 05:19:00 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2014:0890 https://rhn.redhat.com/errata/RHSA-2014-0890.html

Comment 2 errata-xmlrpc 2014-07-16 08:50:21 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2014:0889 https://rhn.redhat.com/errata/RHSA-2014-0889.html

Comment 3 Stefan Cornelius 2014-07-16 12:33:44 UTC
Fixed now in Oracle Java SE 5u71, 6.0u81, 7.0u65, and 8.0u11
via Critical Patch Update July 2014. 

Fixed in IcedTea 1.13.4 for OpenJDK 6:
http://mail.openjdk.java.net/pipermail/distro-pkg-dev/2014-July/028550.html

Fixed in IcedTea 2.5.1 for OpenJDK 7:
http://mail.openjdk.java.net/pipermail/distro-pkg-dev/2014-July/028584.html

OpenJDK 6 Patch(es):
http://hg.openjdk.java.net/jdk6/jdk6/jdk/rev/aa2b20532c67

OpenJDK 7 Patch(es):
http://hg.openjdk.java.net/jdk7u/jdk7u/jdk/rev/3a2c7340f7de


External reference:

http://www.oracle.com/technetwork/topics/security/cpujul2014-1972956.html#AppendixJAVA

Comment 4 errata-xmlrpc 2014-07-18 01:46:59 UTC
This issue has been addressed in following products:

  Oracle Java for Red Hat Enterprise Linux 6
  Oracle Java for Red Hat Enterprise Linux 7
  Oracle Java for Red Hat Enterprise Linux 5

Via RHSA-2014:0902 https://rhn.redhat.com/errata/RHSA-2014-0902.html

Comment 5 errata-xmlrpc 2014-07-21 15:33:34 UTC
This issue has been addressed in following products:

  Oracle Java for Red Hat Enterprise Linux 5
  Oracle Java for Red Hat Enterprise Linux 6
  Oracle Java for Red Hat Enterprise Linux 7

Via RHSA-2014:0908 https://rhn.redhat.com/errata/RHSA-2014-0908.html

Comment 6 errata-xmlrpc 2014-07-21 18:55:57 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2014:0907 https://rhn.redhat.com/errata/RHSA-2014-0907.html

Comment 7 errata-xmlrpc 2014-08-07 16:53:06 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2014:1033 https://rhn.redhat.com/errata/RHSA-2014-1033.html

Comment 8 errata-xmlrpc 2014-08-07 21:25:10 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2014:1036 https://rhn.redhat.com/errata/RHSA-2014-1036.html

Comment 9 errata-xmlrpc 2014-08-11 16:45:32 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 7

Via RHSA-2014:1042 https://rhn.redhat.com/errata/RHSA-2014-1042.html

Comment 10 errata-xmlrpc 2014-08-11 16:55:15 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2014:1041 https://rhn.redhat.com/errata/RHSA-2014-1041.html

Comment 11 errata-xmlrpc 2015-02-24 13:44:41 UTC
This issue has been addressed in the following products:

  Red Hat Satellite Server v 5.6

Via RHSA-2015:0264 https://rhn.redhat.com/errata/RHSA-2015-0264.html


Note You need to log in before you can comment on or make changes to this bug.